#include <bits/stdc++.h>

using namespace std;

int main()
{
    int T;
    cin>>T;

    bool R[T];
    for (int i = 0; i < T; i++)
    {
        int N,M,K;
        cin>>N>>M>>K;
        int min=(K*(N/K)*(N/K+1))/2+(N%K)*(N/K+1);
        if(min>M)
        {
            R[i]=false;
        }
        else
        {
            R[i]=true;
        }
    }
    for (int i = 0; i < T; i++)
    {
        if(R[i]==true)
        {
            cout<<"Tak";
        }
        else if(R[i]==false)
        {
            cout<<"Nie";
        }
        cout<<endl;
    }
}